function addLoadListener(fn)
{
	if (typeof window.addEventListener != 'undefined')
	{
		window.addEventListener('load', fn, false);
	}
	else if (typeof document.addEventListener != 'undefined')
	{
		document.addEventListener('load', fn, false);
	}
	else if (typeof window.attachEvent != 'undefined')
	{
		window.attachEvent('onload', fn);
	}
	else
	{
		return false;
	}
	
	return true;
};




function attachEventListener(target, eventType, functionRef, capture)
{
    if (typeof target.addEventListener != "undefined")
    {
        target.addEventListener(eventType, functionRef, capture);
    }
    else if (typeof target.attachEvent != "undefined")
    {
        target.attachEvent("on" + eventType, functionRef);
    }
    else
    {
        return false;
    }

    return true;
};



checkBrowserWidth();

attachEventListener(window, "resize", checkBrowserWidth, false);
attachEventListener(window, "load", checkBrowserWidth, false);




function checkBrowserWidth()
{
	var theWidth = getBrowserWidth();
	
	if (theWidth == 0)
	{
		addLoadListener(checkBrowserWidth);
		
		return false;
	}
	
	var bodyelem = document.getElementsByTagName('body')[0];
	var isWide = true;
	if (bodyelem!=null){
		if ((bodyelem.id=='home'&&theWidth < 1100) || (bodyelem.id!='home'&&theWidth < 1245)){
			isWide = false;
		}
	}
	
	if (!isWide)
	{
	
		if (theWidth < 995){
			setBodyStyle("narrow");
		} else {
			setBodyStyle("medium");
		}
		
	}
	else
	{
		setBodyStyle("wide");
		
	}
	
	return true;
};

function setBodyStyle(cName){
	var bodyelem = document.getElementsByTagName('body')[0];
	var elem = document.getElementById('wrap');
	if (elem!=null){
		elem.className = cName;
		bodyelem.className = cName;
	}
	
}


function getBrowserWidth()
{
	if (window.innerWidth)
	{
		return window.innerWidth;
	}
	else if (document.documentElement && document.documentElement.clientWidth != 0)
	{
		return document.documentElement.clientWidth;
	}
	else if (document.body)
	{
		return document.body.clientWidth;
	}
	
	return 0;
};




